package com.pajato.edgar.memoizer.core.sender

class SendClientNameException : Exception()
class LockFailInterruptedException : Exception()
class LockFailAsyncClosedException : Exception()
class LockFailOverlappingException : Exception()
class LockFailChannelClosedException : Exception()
class LockFailIOErrorException : Exception()
class LockAlreadyHeldException : Exception()
class LockFailUnexpected(message: String?) : Exception(message)
class SendCommandNameException : Exception()
class WriteFailInterruptedException : Exception()
class WriteFailAsyncClosedException : Exception()
class WriteFailClosedChannelException : Exception()
class WriteFailIOErrorException : Exception()
